pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/sysutils/xentools30 Fixed "test ==" and some other bug...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/f7ddcab2a192
branches:  trunk
changeset: 520919:f7ddcab2a192
user:      rillig <rillig%pkgsrc.org@localhost>
date:      Thu Nov 02 19:15:06 2006 +0000

description:
Fixed "test ==" and some other bugs, as reported in PR 34976. The
quality of the shell scripts is not too good ...

diffstat:

 sysutils/xentools30/distinfo         |    8 +-
 sysutils/xentools30/patches/patch-ea |   13 +++
 sysutils/xentools30/patches/patch-eb |  132 +++++++++++++++++++++++++++++++++++
 sysutils/xentools30/patches/patch-ec |   83 ++++++++++++++++++++++
 sysutils/xentools30/patches/patch-ed |   13 +++
 sysutils/xentools30/patches/patch-ee |   22 +++++
 sysutils/xentools30/patches/patch-ef |   13 +++
 7 files changed, 283 insertions(+), 1 deletions(-)

diffs (truncated from 319 to 300 lines):

diff -r 37e46679269f -r f7ddcab2a192 sysutils/xentools30/distinfo
--- a/sysutils/xentools30/distinfo      Thu Nov 02 18:59:35 2006 +0000
+++ b/sysutils/xentools30/distinfo      Thu Nov 02 19:15:06 2006 +0000
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.2 2006/10/19 22:57:13 bouyer Exp $
+$NetBSD: distinfo,v 1.3 2006/11/02 19:15:06 rillig Exp $
 
 SHA1 (xen-3.0.3_0-src.tgz) = 9505ae3a5a42bc969836de81f501341409291f78
 RMD160 (xen-3.0.3_0-src.tgz) = 528020035ee32144b52bcdfccc8c44708b0196ea
@@ -35,3 +35,9 @@
 SHA1 (patch-cf) = 2c1f83cfd1de238c81796762cf60560e64e0f630
 SHA1 (patch-cg) = 26aa623c34b8b0aebffd93451291264ad7d99c94
 SHA1 (patch-ch) = ae8b11cd22c2cf0c5f2c0a603e80dadad1012b59
+SHA1 (patch-ea) = e5777dffd3f74f0cbc0487085438a8c7317af72e
+SHA1 (patch-eb) = f505b77fc816e92a1bb711487b0f505cfab00ab8
+SHA1 (patch-ec) = 00e55a05a58cc441548ad8f91e1a7c340c15e419
+SHA1 (patch-ed) = bca99954a25d4190877a7f35952b79f648ab316a
+SHA1 (patch-ee) = 756ea2144d5c819f9105cad9ddbfeccb14ca7809
+SHA1 (patch-ef) = 79a8170f1b183975fc3171aec932c31954dcbe5e
diff -r 37e46679269f -r f7ddcab2a192 sysutils/xentools30/patches/patch-ea
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/xentools30/patches/patch-ea      Thu Nov 02 19:15:06 2006 +0000
@@ -0,0 +1,13 @@
+$NetBSD: patch-ea,v 1.1 2006/11/02 19:15:07 rillig Exp $
+
+--- examples/blktap.orig       2006-10-15 14:22:03.000000000 +0200
++++ examples/blktap    2006-11-02 20:04:22.000000000 +0100
+@@ -7,7 +7,7 @@ dir=$(dirname "$0")
+ 
+ findCommand "$@"
+ 
+-if [ "$command" == 'add' ]
++if [ "$command" = 'add' ]
+ then
+   success
+ fi
diff -r 37e46679269f -r f7ddcab2a192 sysutils/xentools30/patches/patch-eb
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/xentools30/patches/patch-eb      Thu Nov 02 19:15:06 2006 +0000
@@ -0,0 +1,132 @@
+$NetBSD: patch-eb,v 1.1 2006/11/02 19:15:07 rillig Exp $
+
+--- examples/block.orig        2006-10-15 14:22:03.000000000 +0200
++++ examples/block     2006-11-02 20:04:06.000000000 +0100
+@@ -68,7 +68,7 @@ check_sharing()
+   local devmm=$(device_major_minor "$dev")
+   local file
+ 
+-  if [ "$mode" == 'w' ]
++  if [ "$mode" = 'w' ]
+   then
+     toskip="^$"
+   else
+@@ -81,7 +81,7 @@ check_sharing()
+     then
+       local d=$(device_major_minor "$file")
+ 
+-      if [ "$d" == "$devmm" ]
++      if [ "$d" = "$devmm" ]
+       then
+         echo 'local'
+         return
+@@ -96,9 +96,9 @@ check_sharing()
+     do
+       d=$(xenstore_read_default "$base_path/$dom/$dev/physical-device" "")
+ 
+-      if [ "$d" == "$devmm" ]
++      if [ "$d" = "$devmm" ]
+       then
+-        if [ "$mode" == 'w' ]
++        if [ "$mode" = 'w' ]
+         then
+           if ! same_vm $dom
+           then
+@@ -109,7 +109,7 @@ check_sharing()
+           local m=$(xenstore_read "$base_path/$dom/$dev/mode")
+           m=$(canonicalise_mode "$m")
+ 
+-          if [ "$m" == 'w' ]
++          if [ "$m" = 'w' ]
+           then
+             if ! same_vm $dom
+             then
+@@ -138,7 +138,7 @@ same_vm()
+   local othervm=$(xenstore_read_default "/local/domain/$otherdom/vm"         \
+                   "$FRONTEND_UUID")
+ 
+-  [ "$FRONTEND_UUID" == "$othervm" ]
++  [ "$FRONTEND_UUID" = "$othervm" ]
+ }
+ 
+ 
+@@ -153,7 +153,7 @@ check_device_sharing()
+   local mode=$(canonicalise_mode "$2")
+   local result
+ 
+-  if [ "$mode" == '!' ]
++  if [ "x$mode" = 'x!' ]
+   then
+     return 0
+   fi
+@@ -202,7 +202,7 @@ do_ebusy()
+   local mode="$2"
+   local result="$3"
+ 
+-  if [ "$result" == 'guest' ]
++  if [ "$result" = 'guest' ]
+   then
+     dom='a guest '
+     when='now'
+@@ -211,7 +211,7 @@ do_ebusy()
+     when='by a guest'
+   fi
+ 
+-  if [ "$mode" == 'w' ]
++  if [ "$mode" = 'w' ]
+   then
+     m1=''
+     m2=''
+@@ -266,7 +266,7 @@ case "$command" in
+ 
+         claim_lock "block"
+ 
+-        if [ "$mode" == 'w' ] && ! stat "$file" -c %A | grep -q w
++        if [ "$mode" = 'w' ] && ! stat "$file" -c %A | grep -q w
+         then
+           release_lock "block"
+           ebusy \
+@@ -287,7 +287,7 @@ mount it read-write in a guest domain."
+           if [ "$f" ]
+           then
+             # $dev is in use.  Check sharing.
+-            if [ "$mode" == '!' ]
++            if [ "x$mode" = 'x!' ]
+             then
+               continue
+             fi
+@@ -307,7 +307,7 @@ mount it read-write in a guest domain."
+                 do
+                   d=$(xenstore_read_default \
+                         "$XENBUS_BASE_PATH/$dom/$domdev/node" "")
+-                  if [ "$d" == "$dev" ]
++                  if [ "$d" = "$dev" ]
+                   then
+                     f=$(xenstore_read "$XENBUS_BASE_PATH/$dom/$domdev/params")
+                     found=1
+@@ -347,7 +347,7 @@ mount it read-write in a guest domain."
+             f=$(readlink -f "$f" || echo $(dirname "$file")/$(basename "$f"))
+ 
+ 
+-            if [ "$f" == "$file" ]
++            if [ "$f" = "$file" ]
+             then
+               check_file_sharing "$file" "$dev" "$mode"
+             fi
+@@ -355,14 +355,14 @@ mount it read-write in a guest domain."
+             # $dev is not in use, so we'll remember it for use later; we want
+             # to finish the sharing check first.
+ 
+-            if [ "$loopdev" == '' ]
++            if [ "$loopdev" = '' ]
+             then
+               loopdev="$dev"
+             fi
+           fi
+         done
+ 
+-        if [ "$loopdev" == '' ]
++        if [ "$loopdev" = '' ]
+         then
+           fatal 'Failed to find an unused loop device'
+         fi
diff -r 37e46679269f -r f7ddcab2a192 sysutils/xentools30/patches/patch-ec
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/xentools30/patches/patch-ec      Thu Nov 02 19:15:06 2006 +0000
@@ -0,0 +1,83 @@
+$NetBSD: patch-ec,v 1.1 2006/11/02 19:15:07 rillig Exp $
+
+Fixed "test ==" and made the code a little shorter. There are still many
+little bugs left.
+
+--- examples/external-device-migrate.orig      2006-10-15 14:22:03.000000000 +0200
++++ examples/external-device-migrate   2006-11-02 20:10:17.000000000 +0100
+@@ -55,41 +55,27 @@ function evaluate_params()
+ {
+       local step host domname typ recover filename func stype
+       stype=""
+-      while [ 1 ]; do
+-              if [ "$1" == "-step" ]; then
+-                      shift
+-                      step=$1
+-              elif [ "$1" == "-host" ]; then
+-                      shift
+-                      host=$1
+-              elif [ "$1" == "-domname" ]; then
+-                      shift
+-                      domname=$1
+-              elif [ "$1" == "-type" ]; then
+-                      shift
+-                      typ=$1
+-              elif [ "$1" == "-subtype" ]; then
+-                      shift
+-                      stype="_$1"
+-              elif [ "$1" == "-recover" ]; then
+-                      recover=1
+-              elif [ "$1" == "-help" ]; then
+-                      ext_dev_migrate_usage
+-                      exit
+-              else
+-                      break
+-              fi
+-              shift
++      while [ $# -ge 1 ]; do
++              case "$1" in
++              -step)          step=$2; shift 2;;
++              -host)          host=$2; shift 2;;
++              -domname)       domname=$2; shift 2;;
++              -type)          type=$2; shift 2;;
++              -subtype)       subtype=$2; shift 2;;
++              -recover)       recover=1; shift;;
++              -help)          ext_dev_migrate_usage; exit 0;;
++              *)              break;;
++              esac
+       done
+ 
+-      if [ "$step"    == "" -o \
+-           "$host"    == "" -o \
+-           "$typ"     == "" -o \
+-           "$domname" == "" ]; then
+-              echo "Error: Parameter(s) missing (-step/-host/-type/-domname)"
+-              echo ""
+-              echo "$0 -help for usage."
+-              exit
++      if [ "$step"    = "" -o \
++           "$host"    = "" -o \
++           "$typ"     = "" -o \
++           "$domname" = "" ]; then
++              echo "Error: Parameter(s) missing (-step/-host/-type/-domname)" 1>&2
++              echo "" 1>&2
++              echo "$0 -help for usage." 1>&2
++              exit 1
+       fi
+ 
+       filename="$dir/$typ$stype-migration.sh"
+@@ -99,7 +85,7 @@ function evaluate_params()
+       fi
+       . "$filename"
+ 
+-      if [ "$recover" == "1" ]; then
++      if [ "$recover" = "1" ]; then
+               func="$typ"_recover
+               eval $func $host $domname $step $*
+       else
+@@ -108,4 +94,4 @@ function evaluate_params()
+       fi
+ }
+ 
+-evaluate_params $*
++evaluate_params "$@"
diff -r 37e46679269f -r f7ddcab2a192 sysutils/xentools30/patches/patch-ed
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/xentools30/patches/patch-ed      Thu Nov 02 19:15:06 2006 +0000
@@ -0,0 +1,13 @@
+$NetBSD: patch-ed,v 1.1 2006/11/02 19:15:07 rillig Exp $
+
+--- examples/vif-bridge.orig   2006-10-15 14:22:03.000000000 +0200
++++ examples/vif-bridge        2006-11-02 20:11:03.000000000 +0100
+@@ -61,7 +61,7 @@ esac
+ handle_iptable
+ 
+ log debug "Successful vif-bridge $command for $vif, bridge $bridge."
+-if [ "$command" == "online" ]
++if [ "$command" = "online" ]
+ then
+   success
+ fi
diff -r 37e46679269f -r f7ddcab2a192 sysutils/xentools30/patches/patch-ee
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/sysutils/xentools30/patches/patch-ee      Thu Nov 02 19:15:06 2006 +0000
@@ -0,0 +1,22 @@
+$NetBSD: patch-ee,v 1.1 2006/11/02 19:15:07 rillig Exp $
+
+--- examples/vif-nat.orig      2006-10-15 14:22:03.000000000 +0200
++++ examples/vif-nat   2006-11-02 20:05:11.000000000 +0100
+@@ -72,7 +72,7 @@ dotted_quad()
+ }
+ 
+ 
+-if [ "$ip" == "" ]
++if [ "$ip" = "" ]
+ then
+   ip=$(ip_from_dom)
+ fi
+@@ -152,7 +152,7 @@ esac
+ handle_iptable
+ 
+ log debug "Successful vif-nat $command for $vif."
+-if [ "$command" == "online" ]
++if [ "$command" = "online" ]
+ then



Home | Main Index | Thread Index | Old Index